Commit 39bb004b authored by Kunshan Wang's avatar Kunshan Wang

Bump dependencies versions

Fixes some incompatibilities with scala-ide 4.6
parent 3cbed6c6
......@@ -12,4 +12,4 @@ hs_err_pid*.log
/bin/
*.py[co]
classpath.txt
project/build.properties
build.properties
lazy val genSrc = taskKey[List[File]]("generate sources")
genSrc <<= (sourceGenerators in Compile) { _.join.map(_.flatten.toList) }
genSrc := (sourceGenerators in Compile) { _.join.map(_.flatten.toList) }.value
lazy val makeClasspathFile = taskKey[Unit]("write the run-time classpath to target/jars.txt as colon-separated list")
......@@ -17,16 +17,16 @@ lazy val root = (project in file(".")).
licenses := Seq("CC BY-SA 4.0" -> url("https://creativecommons.org/licenses/by-sa/4.0/legalcode")),
scalaVersion := "2.11.8",
scalaVersion := "2.11.11",
libraryDependencies ++= Seq(
"org.antlr" % "antlr4" % "4.5.3",
"org.antlr" % "antlr4" % "4.7",
"com.typesafe.scala-logging" %% "scala-logging" % "3.5.0",
"ch.qos.logback" % "logback-classic" % "1.1.7",
"com.github.jnr" % "jnr-ffi" % "2.0.9",
"com.github.jnr" % "jffi" % "1.2.12" classifier "native",
"com.github.jnr" % "jnr-posix" % "3.0.29",
"org.scalatest" %% "scalatest" % "3.0.0" % "test",
"ch.qos.logback" % "logback-classic" % "1.2.3",
"com.github.jnr" % "jnr-ffi" % "2.1.5",
"com.github.jnr" % "jffi" % "1.2.15" classifier "native",
"com.github.jnr" % "jnr-posix" % "3.0.41",
"org.scalatest" %% "scalatest" % "3.0.3" % "test",
"junit" % "junit" % "4.12" % "test"
),
......@@ -42,6 +42,8 @@ lazy val root = (project in file(".")).
antlr4GenVisitor in Antlr4 := false,
antlr4Version in Antlr4 := "4.7",
makeClasspathFile := {
val cp = (fullClasspath in Runtime).value.files
......
resolvers += "simplytyped" at "http://simplytyped.github.io/repo/releases"
addSbtPlugin("com.simplytyped" % "sbt-antlr4" % "0.7.10")
addSbtPlugin("com.simplytyped" % "sbt-antlr4" % "0.7.11")
// lazy val root = (project in file(".")).dependsOn(sbtAntlr4Plugin)
// lazy val sbtAntlr4Plugin = uri("https://github.com/ihji/sbt-antlr4.git")
\ No newline at end of file
// lazy val sbtAntlr4Plugin = uri("https://github.com/ihji/sbt-antlr4.git")
addSbtPlugin("com.typesafe.sbteclipse" % "sbteclipse-plugin" % "4.0.0")
addSbtPlugin("com.typesafe.sbteclipse" % "sbteclipse-plugin" % "5.1.0")
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment